SELECT * 
INTO zSeg_Menu_Mod_ERP
FROM Seg_Menu_Mod
WHERE
Id_Modulo = 1
GO

UPDATE zSeg_Menu_Mod_ERP SET Id_Modulo = 4
GO

INSERT INTO Seg_Menu_Mod 
SELECT * FROM zSeg_Menu_Mod_ERP 
GO

DROP TABLE zSeg_Menu_Mod_ERP
GO

ALTER TABLE Seg_Menu_Mod ADD Id_Menu_Padre SMALLINT
GO

UPDATE Seg_Menu_Mod SET Id_Menu_Padre = Nivel
GO


DROP INDEX IX_SMM_Mod_Ord_Niv_Men ON Seg_Menu_Mod
GO

ALTER TABLE Seg_Menu_Mod DROP COLUMN Nivel 
GO


CREATE INDEX IX_SMM_Mod_Ord_Padre_Men ON dbo.Seg_Menu_Mod
(
	Id_Modulo ,
	Orden ,
	Id_Menu_Padre ,
	Id_Menu 
)
GO


